Package com.stardog.stark

# Class OWL

java.lang.Object
com.stardog.stark.OWL

public final class OWL extends Object
Constants for the OWL Web Ontology Language and OWL2.

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `ALL_DISJOINT_CLASSES`
  `static final IRI`
  `ALL_DISJOINT_PROPERTIES`
  `static final IRI`
  `ALLDIFFERENT`
  `static final IRI`
  `ALLVALUESFROM`
  `static final IRI`
  `ANNOTATED_PROPERTY`
  `static final IRI`
  `ANNOTATED_SOURCE`
  `static final IRI`
  `ANNOTATED_TARGET`
  `static final IRI`
  `ANNOTATIONPROPERTY`
  `static final IRI`
  `ASSERTION_PROPERTY`
  `static final IRI`
  `ASYMMETRIC`
  `static final IRI`
  `AXIOM`
  `static final IRI`
  `BACKWARDCOMPATIBLEWITH`
  `static final IRI`
  `BOTTOM_DATA_PROPERTY`
  `static final IRI`
  `BOTTOM_OBJECT_PROPERTY`
  `static final IRI`
  `CARDINALITY`
  `static final IRI`
  `CLASS`
  `static final IRI`
  `COMPLEMENTOF`
  `static final IRI`
  `DATATYPEPROPERTY`
  `static final IRI`
  `DECLARATION`
  `static final IRI`
  `DEPRECATED`
  `static final IRI`
  `DEPRECATEDCLASS`
  `static final IRI`
  `DEPRECATEDPROPERTY`
  `static final IRI`
  `DIFFERENTFROM`
  `static final IRI`
  `DISJOINT_DATA_PROPERTIES`
  `static final IRI`
  `DISJOINT_OBJECT_PROPERTIES`
  `static final IRI`
  `DISJOINT_UNION_OF`
  `static final IRI`
  `DISJOINTWITH`
  `static final IRI`
  `DISTINCTMEMBERS`
  `static final IRI`
  `EQUIVALENTCLASS`
  `static final IRI`
  `EQUIVALENTPROPERTY`
  `static final IRI`
  `FUNCTIONALPROPERTY`
  `static final IRI`
  `HASVALUE`
  `static final IRI`
  `IMPORTS`
  `static final IRI`
  `INCOMPATIBLEWITH`
  `static final IRI`
  `INDIVIDUAL`
  `static final IRI`
  `INTERSECTIONOF`
  `static final IRI`
  `INVERSE_OBJ_PROPERTY_EXPR`
  `static final IRI`
  `INVERSEFUNCTIONALPROPERTY`
  `static final IRI`
  `INVERSEOF`
  `static final IRI`
  `IRREFLEXIVE`
  `static final IRI`
  `MAX_QUALIFIED_CARDINALITY`
  `static final IRI`
  `MAXCARDINALITY`
  `static final IRI`
  `MEMBERS`
  `static final IRI`
  `MIN_QUALIFIED_CARDINALITY`
  `static final IRI`
  `MINCARDINALITY`
  `static final IRI`
  `NAMED_INDIVIDUAL`
  `static final String`
  `NAMESPACE`
  `static final IRI`
  `NEGATIVE_DP_ASSERTION`
  `static final IRI`
  `NEGATIVE_OP_ASSERTION`
  `static final IRI`
  `NOTHING`
  `static final IRI`
  `OBJECTPROPERTY`
  `static final IRI`
  `ON_CLASS`
  `static final IRI`
  `ON_DATATYPE`
  `static final IRI`
  `ONEOF`
  `static final IRI`
  `ONPROPERTY`
  `static final IRI`
  `ONTOLOGY`
  `static final IRI`
  `ONTOLOGYPROPERTY`
  `static final IRI`
  `PRIORVERSION`
  `static final IRI`
  `PROPERTY_CHAIN_AXIOM`
  `static final IRI`
  `PROPERTY_DISJOINT_WITH`
  `static final IRI`
  `QUALIFIED_CARDINALITY`
  `static final IRI`
  `REFLEXIVE`
  `static final IRI`
  `RESTRICTION`
  `static final IRI`
  `SAMEAS`
  `static final IRI`
  `SOMEVALUESFROM`
  `static final IRI`
  `SOURCE_INDIVIDUAL`
  `static final IRI`
  `SYMMETRICPROPERTY`
  `static final IRI`
  `TARGET_INDIVIDUAL`
  `static final IRI`
  `TARGET_VALUE`
  `static final IRI`
  `THING`
  `static final IRI`
  `TOP_DATA_PROPERTY`
  `static final IRI`
  `TOP_OBJECT_PROPERTY`
  `static final IRI`
  `TRANSITIVEPROPERTY`
  `static final IRI`
  `UNIONOF`
  `static final IRI`
  `VERSIONINFO`
  `static final IRI`
  `VERSIONIRI`
  `static final IRI`
  `WITH_RESTRICTIONS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<IRI>`
  `all()`
  `static Set<IRI>`
  `owl1()`
  `static Set<IRI>`
  `owl2()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### TARGET_INDIVIDUAL

    public static final IRI TARGET_INDIVIDUAL

  - ### TARGET_VALUE

    public static final IRI TARGET_VALUE

  - ### ASSERTION_PROPERTY

    public static final IRI ASSERTION_PROPERTY

  - ### SOURCE_INDIVIDUAL

    public static final IRI SOURCE_INDIVIDUAL

  - ### MEMBERS

    public static final IRI MEMBERS

  - ### DEPRECATED

    public static final IRI DEPRECATED

  - ### ANNOTATED_TARGET

    public static final IRI ANNOTATED_TARGET

  - ### ANNOTATED_SOURCE

    public static final IRI ANNOTATED_SOURCE

  - ### ANNOTATED_PROPERTY

    public static final IRI ANNOTATED_PROPERTY

  - ### AXIOM

    public static final IRI AXIOM

  - ### ALL_DISJOINT_PROPERTIES

    public static final IRI ALL_DISJOINT_PROPERTIES

  - ### ALL_DISJOINT_CLASSES

    public static final IRI ALL_DISJOINT_CLASSES

  - ### BOTTOM_DATA_PROPERTY

    public static final IRI BOTTOM_DATA_PROPERTY

  - ### TOP_DATA_PROPERTY

    public static final IRI TOP_DATA_PROPERTY

  - ### BOTTOM_OBJECT_PROPERTY

    public static final IRI BOTTOM_OBJECT_PROPERTY

  - ### TOP_OBJECT_PROPERTY

    public static final IRI TOP_OBJECT_PROPERTY

  - ### PROPERTY_DISJOINT_WITH

    public static final IRI PROPERTY_DISJOINT_WITH

  - ### PROPERTY_CHAIN_AXIOM

    public static final IRI PROPERTY_CHAIN_AXIOM

  - ### QUALIFIED_CARDINALITY

    public static final IRI QUALIFIED_CARDINALITY

  - ### MAX_QUALIFIED_CARDINALITY

    public static final IRI MAX_QUALIFIED_CARDINALITY

  - ### MIN_QUALIFIED_CARDINALITY

    public static final IRI MIN_QUALIFIED_CARDINALITY

  - ### INVERSE_OBJ_PROPERTY_EXPR

    public static final IRI INVERSE_OBJ_PROPERTY_EXPR

  - ### WITH_RESTRICTIONS

    public static final IRI WITH_RESTRICTIONS

  - ### NAMED_INDIVIDUAL

    public static final IRI NAMED_INDIVIDUAL

  - ### NEGATIVE_DP_ASSERTION

    public static final IRI NEGATIVE_DP_ASSERTION

  - ### NEGATIVE_OP_ASSERTION

    public static final IRI NEGATIVE_OP_ASSERTION

  - ### DISJOINT_OBJECT_PROPERTIES

    public static final IRI DISJOINT_OBJECT_PROPERTIES

  - ### DISJOINT_DATA_PROPERTIES

    public static final IRI DISJOINT_DATA_PROPERTIES

  - ### DECLARATION

    public static final IRI DECLARATION

  - ### DISJOINT_UNION_OF

    public static final IRI DISJOINT_UNION_OF

  - ### ASYMMETRIC

    public static final IRI ASYMMETRIC

  - ### IRREFLEXIVE

    public static final IRI IRREFLEXIVE

  - ### REFLEXIVE

    public static final IRI REFLEXIVE

  - ### ON_DATATYPE

    public static final IRI ON_DATATYPE

  - ### ON_CLASS

    public static final IRI ON_CLASS

  - ### CLASS

    public static final IRI CLASS

  - ### INDIVIDUAL

    public static final IRI INDIVIDUAL

  - ### THING

    public static final IRI THING

  - ### NOTHING

    public static final IRI NOTHING

  - ### EQUIVALENTCLASS

    public static final IRI EQUIVALENTCLASS

  - ### EQUIVALENTPROPERTY

    public static final IRI EQUIVALENTPROPERTY

  - ### SAMEAS

    public static final IRI SAMEAS

  - ### DIFFERENTFROM

    public static final IRI DIFFERENTFROM

  - ### ALLDIFFERENT

    public static final IRI ALLDIFFERENT

  - ### DISTINCTMEMBERS

    public static final IRI DISTINCTMEMBERS

  - ### OBJECTPROPERTY

    public static final IRI OBJECTPROPERTY

  - ### DATATYPEPROPERTY

    public static final IRI DATATYPEPROPERTY

  - ### INVERSEOF

    public static final IRI INVERSEOF

  - ### TRANSITIVEPROPERTY

    public static final IRI TRANSITIVEPROPERTY

  - ### SYMMETRICPROPERTY

    public static final IRI SYMMETRICPROPERTY

  - ### FUNCTIONALPROPERTY

    public static final IRI FUNCTIONALPROPERTY

  - ### INVERSEFUNCTIONALPROPERTY

    public static final IRI INVERSEFUNCTIONALPROPERTY

  - ### RESTRICTION

    public static final IRI RESTRICTION

  - ### ONPROPERTY

    public static final IRI ONPROPERTY

  - ### ALLVALUESFROM

    public static final IRI ALLVALUESFROM

  - ### SOMEVALUESFROM

    public static final IRI SOMEVALUESFROM

  - ### MINCARDINALITY

    public static final IRI MINCARDINALITY

  - ### MAXCARDINALITY

    public static final IRI MAXCARDINALITY

  - ### CARDINALITY

    public static final IRI CARDINALITY

  - ### ONTOLOGY

    public static final IRI ONTOLOGY

  - ### IMPORTS

    public static final IRI IMPORTS

  - ### INTERSECTIONOF

    public static final IRI INTERSECTIONOF

  - ### VERSIONINFO

    public static final IRI VERSIONINFO

  - ### VERSIONIRI

    public static final IRI VERSIONIRI

  - ### PRIORVERSION

    public static final IRI PRIORVERSION

  - ### BACKWARDCOMPATIBLEWITH

    public static final IRI BACKWARDCOMPATIBLEWITH

  - ### INCOMPATIBLEWITH

    public static final IRI INCOMPATIBLEWITH

  - ### DEPRECATEDCLASS

    public static final IRI DEPRECATEDCLASS

  - ### DEPRECATEDPROPERTY

    public static final IRI DEPRECATEDPROPERTY

  - ### ANNOTATIONPROPERTY

    public static final IRI ANNOTATIONPROPERTY

  - ### ONTOLOGYPROPERTY

    public static final IRI ONTOLOGYPROPERTY

  - ### ONEOF

    public static final IRI ONEOF

  - ### HASVALUE

    public static final IRI HASVALUE

  - ### DISJOINTWITH

    public static final IRI DISJOINTWITH

  - ### UNIONOF

    public static final IRI UNIONOF

  - ### COMPLEMENTOF

    public static final IRI COMPLEMENTOF

- ## Method Details

  - ### all

    public static Set<IRI> all()

  - ### owl1

    public static Set<IRI> owl1()

  - ### owl2

    public static Set<IRI> owl2()